.p-client-appointment-list {
  position: absolute;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  overflow: hidden;
  overflow-y: auto;
}
.p-client-appointment-list_preloader {
  position: relative;
  display: none;
  height: 100px;
  text-align: center;
  font-size: 0;
}
._preloader .p-client-appointment-list_preloader {
  display: block;
  visibility: visible;
  opacity: 1;
}
.p-client-appointment-list_preloader .t-preloader {
  font-size: 32px;
}
.p-client-appointment-list_table {
  position: relative;
  display: table;
  -webkit-box-sizing: border-box;
     -moz-box-sizing: border-box;
          box-sizing: border-box;
  width: 100%;
  table-layout: fixed;
  padding: 8px 24px 8px 24px;
  border-spacing: 0 1px;
  font-size: 14px;
  color: #222;
}
.p-client-appointment-list_table {
  -webkit-transition: -webkit-transform 0.5s ease;
          transition: transform 0.5s ease;
  -webkit-backface-visibility: hidden;
          backface-visibility: hidden;
}
body._quadro .p-client-appointment-list_table {
  -webkit-transform: translate3D(0, -54px, 0);
      -ms-transform: translate3D(0, -54px, 0);
          transform: translate3D(0, -54px, 0);
}
body._ani-to-quadro .p-client-appointment-list_table {
  -webkit-transition-delay: 0.5s;
          transition-delay: 0.5s;
}
body._ani-from-quadro .p-client-appointment-list_table {
  -webkit-transition-delay: 0.5s;
          transition-delay: 0.5s;
}
body._duo .jsPanelFirst .p-client-appointment-list_table {
  -webkit-transform: translate3D(0, -54px, 0);
      -ms-transform: translate3D(0, -54px, 0);
          transform: translate3D(0, -54px, 0);
}
body._ani-to-duo .jsPanelFirst .p-client-appointment-list_table {
  -webkit-transition-delay: 0.5s;
          transition-delay: 0.5s;
}
body._ani-from-duo .jsPanelFirst .p-client-appointment-list_table {
  -webkit-transition-delay: 0.5s;
          transition-delay: 0.5s;
}
.p-client-appointment-list_head {
  position: relative;
  display: table-row;
  color: #000;
  font-weight: 700;
  text-transform: uppercase;
}
.p-client-appointment-list_head {
  -webkit-transition: opacity 0.5s ease;
          transition: opacity 0.5s ease;
  -webkit-backface-visibility: hidden;
          backface-visibility: hidden;
}
body._quadro .p-client-appointment-list_head {
  opacity: 0;
}
body._ani-to-quadro .p-client-appointment-list_head {
  -webkit-transition-delay: 0.5s;
          transition-delay: 0.5s;
}
body._ani-from-quadro .p-client-appointment-list_head {
  -webkit-transition-delay: 0.5s;
          transition-delay: 0.5s;
}
.p-client-appointment-list_head_preloader {
  position: absolute;
  top: 0;
  right: 0;
  bottom: 0;
  display: none;
  width: 20px;
  font-size: 0;
  text-align: left;
}
._sort-preloader .p-client-appointment-list_head_preloader {
  display: block;
}
.p-client-appointment-list_head_preloader .t-preloader {
  color: #888;
  font-size: 20px;
}
.p-client-appointment-list_row {
  display: table-row;
}
.p-client-appointment-list_cell {
  position: relative;
  display: table-cell;
  overflow: hidden;
  -webkit-box-sizing: border-box;
     -moz-box-sizing: border-box;
          box-sizing: border-box;
  height: 54px;
  padding: 24px 8px 24px 8px;
}
.p-client-appointment-list_cell {
  -webkit-transition: background 0.2s ease, color 0.2s ease, opacity 0.2s ease, border-radius 0.2s ease, -webkit-box-shadow 0.2s ease;
          transition: background 0.2s ease, color 0.2s ease, opacity 0.2s ease, border-radius 0.2s ease, box-shadow 0.2s ease;
  -webkit-backface-visibility: hidden;
          backface-visibility: hidden;
}
.p-client-appointment-list_head .p-client-appointment-list_cell {
  padding: 4px 8px 4px 8px;
  vertical-align: middle;
}
.p-client-appointment-list_row .p-client-appointment-list_cell {
  cursor: pointer;
  -webkit-user-select: none;
     -moz-user-select: none;
      -ms-user-select: none;
          user-select: none;
}
.p-client-appointment-list_head + .p-client-appointment-list_row .p-client-appointment-list_cell {
  -webkit-box-shadow: -1px 0 transparent, 0 -1px #b4b4b4;
          box-shadow: -1px 0 transparent, 0 -1px #b4b4b4;
}
body._quadro .p-client-appointment-list_head + .p-client-appointment-list_row .p-client-appointment-list_cell {
  -webkit-box-shadow: -1px 0 transparent, 0 1px transparent, 0 -1px transparent, 1px 0 transparent;
          box-shadow: -1px 0 transparent, 0 1px transparent, 0 -1px transparent, 1px 0 transparent;
}
.p-client-appointment-list_row + .p-client-appointment-list_row .p-client-appointment-list_cell {
  -webkit-box-shadow: -1px 0 transparent, 0 -1px #f0f4f5;
          box-shadow: -1px 0 transparent, 0 -1px #f0f4f5;
}
.p-client-appointment-list_cell:first-child {
  padding-left: 12px;
}
.p-client-appointment-list_head .p-client-appointment-list_cell:first-child {
  width: 336px;
  min-width: 336px;
  -webkit-box-shadow: -1px 0 transparent, 0 1px transparent, 0 -1px transparent, 1px 0 #f0f4f5;
          box-shadow: -1px 0 transparent, 0 1px transparent, 0 -1px transparent, 1px 0 #f0f4f5;
  color: #000;
  font-weight: 700;
}
.p-client-appointment-list_row .p-client-appointment-list_cell:first-child {
  cursor: pointer;
  -webkit-user-select: none;
     -moz-user-select: none;
      -ms-user-select: none;
          user-select: none;
  padding-right: 40px;
  background: transparent;
  -webkit-box-shadow: -1px 0 transparent, 0 1px transparent, 0 -1px transparent, 1px 0 #f0f4f5;
          box-shadow: -1px 0 transparent, 0 1px transparent, 0 -1px transparent, 1px 0 #f0f4f5;
  font-size: 16px;
  line-height: 20px;
  color: #0099d1;
  font-weight: 600;
}
body._actions .p-client-appointment-list_row .p-client-appointment-list_cell:first-child {
  padding-left: 47px;
}
.p-client-appointment-list_row .p-client-appointment-list_cell:first-child::after {
  content: '\e600';
  font-family: 'clientix-icons';
  vertical-align: bottom;
  text-decoration: none;
  text-transform: none;
  font-weight: normal;
  font-style: normal;
  font-variant: normal;
  speak: none;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  position: absolute;
  top: 50%;
  right: 0;
  width: 40px;
  margin: -1px 0 0;
  text-align: center;
  color: #d9d9d9;
  font-size: 24px;
  line-height: 2px;
}
.p-client-appointment-list_row .p-client-appointment-list_cell:first-child::after {
  -webkit-transition: opacity 0.2s ease, color 0.2s ease-in-out;
          transition: opacity 0.2s ease, color 0.2s ease-in-out;
  -webkit-backface-visibility: hidden;
          backface-visibility: hidden;
}
._quadro .p-client-appointment-list_row .p-client-appointment-list_cell:first-child::after {
  opacity: 0;
}
body .p-client-appointment-list_row .p-client-appointment-list_cell:first-child:hover {
  color: var(--versioncolor);
}
body._beauty .p-client-appointment-list_row .p-client-appointment-list_cell:first-child:hover {
  color: var(--versioncolor);
}
body._health .p-client-appointment-list_row .p-client-appointment-list_cell:first-child:hover {
  color: var(--versioncolor);
}
body._smile .p-client-appointment-list_row .p-client-appointment-list_cell:first-child:hover {
  color: var(--versioncolor);
}
body._happiness .p-client-appointment-list_row .p-client-appointment-list_cell:first-child:hover {
  color: var(--versioncolor);
}
body._velocity .p-client-appointment-list_row .p-client-appointment-list_cell:first-child:hover {
  color: var(--versioncolor);
}
body._friend .p-client-appointment-list_row .p-client-appointment-list_cell:first-child:hover {
  color: var(--versioncolor);
}
body._strength .p-client-appointment-list_row .p-client-appointment-list_cell:first-child:hover {
  color: var(--versioncolor);
}
body .p-client-appointment-list_row .p-client-appointment-list_cell:first-child:hover::after {
  color: var(--versioncolor);
}
body._beauty .p-client-appointment-list_row .p-client-appointment-list_cell:first-child:hover::after {
  color: var(--versioncolor);
}
body._health .p-client-appointment-list_row .p-client-appointment-list_cell:first-child:hover::after {
  color: var(--versioncolor);
}
body._smile .p-client-appointment-list_row .p-client-appointment-list_cell:first-child:hover::after {
  color: var(--versioncolor);
}
body._happiness .p-client-appointment-list_row .p-client-appointment-list_cell:first-child:hover::after {
  color: var(--versioncolor);
}
body._velocity .p-client-appointment-list_row .p-client-appointment-list_cell:first-child:hover::after {
  color: var(--versioncolor);
}
body._friend .p-client-appointment-list_row .p-client-appointment-list_cell:first-child:hover::after {
  color: var(--versioncolor);
}
body._strength .p-client-appointment-list_row .p-client-appointment-list_cell:first-child:hover::after {
  color: var(--versioncolor);
}
.p-client-appointment-list_head + .p-client-appointment-list_row .p-client-appointment-list_cell:first-child {
  -webkit-box-shadow: -1px 0 transparent, 0 1px transparent, 0 -1px #b4b4b4, 1px 0 #f0f4f5;
          box-shadow: -1px 0 transparent, 0 1px transparent, 0 -1px #b4b4b4, 1px 0 #f0f4f5;
}
.p-client-appointment-list_row + .p-client-appointment-list_row .p-client-appointment-list_cell:first-child {
  -webkit-box-shadow: -1px 0 transparent, 0 1px transparent, 0 -1px #f0f4f5, 1px 0 #f0f4f5;
          box-shadow: -1px 0 transparent, 0 1px transparent, 0 -1px #f0f4f5, 1px 0 #f0f4f5;
}
body._quadro .p-client-appointment-list_row._active + .p-client-appointment-list_row .p-client-appointment-list_cell:first-child {
  -webkit-box-shadow: -1px 0 transparent, 0 1px transparent, 0 -1px transparent, 1px 0 transparent;
          box-shadow: -1px 0 transparent, 0 1px transparent, 0 -1px transparent, 1px 0 transparent;
}
._duo .p-client-appointment-list_row._active .p-client-appointment-list_cell:first-child {
  border-radius: 4px 0 0 4px;
  background: #fff;
  -webkit-box-shadow: -1px 0 #cdd2d2, 0 1px #cdd2d2, 0 -1px #cdd2d2, 1px 0 transparent;
          box-shadow: -1px 0 #cdd2d2, 0 1px #cdd2d2, 0 -1px #cdd2d2, 1px 0 transparent;
}
.p-client-appointment-list_cell:nth-child(1) {
  width: 25%;
}

.p-client-appointment-list_ct {
  display: inline-block;
  vertical-align: top;
  width: 100%;
}
.p-client-appointment-list_cell:last-child .p-client-appointment-list_ct {
  text-align: right;
}
.p-client-appointment-list-record {
  display: -webkit-box;
  display: -webkit-flex;
  display: -ms-flexbox;
  display: flex;
  font-size: 14px;
  line-height: 18px;
  -webkit-box-align: center;
  -webkit-align-items: center;
      -ms-flex-align: center;
          align-items: center;
}
.p-client-appointment-list-record_icon {
  position: relative;
  -webkit-box-flex: 0;
  -webkit-flex: 0 0 auto;
      -ms-flex: 0 0 auto;
          flex: 0 0 auto;
  min-width: 1px;
  min-height: 1px;
  width: 20px;
  height: 20px;
}
.p-client-appointment-list-record_icon::after {
  font-family: 'clientix-icons';
  vertical-align: bottom;
  text-decoration: none;
  text-transform: none;
  font-weight: normal;
  font-style: normal;
  font-variant: normal;
  speak: none;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  position: absolute;
  top: 50%;
  left: 0;
  margin: -1px 0 0;
  font-size: 24px;
  line-height: 2px;
}
.p-client-appointment-list-record_icon._material::after {
  content: '\e600';
  font-family: 'materials';
}
.p-client-appointment-list_cell._scheduled .p-client-appointment-list-record_icon {
  color: #eccbef;
}
.p-client-appointment-list_cell._scheduled .p-client-appointment-list-record_icon::after {
  content: '\e615';
  font-family: 'clientix-icons';
}
.p-client-appointment-list_cell._confirmed .p-client-appointment-list-record_icon {
  color: #b9f2e9;
}
.p-client-appointment-list_cell._confirmed .p-client-appointment-list-record_icon::after {
  content: '\e642';
  font-family: 'clientix-icons';
}
.p-client-appointment-list_cell._in_progress .p-client-appointment-list-record_icon {
  color: #7ae9d7;
}
.p-client-appointment-list_cell._arrived .p-client-appointment-list-record_icon {
  color: #7ae9d7;
}
.p-client-appointment-list_cell._in_progress .p-client-appointment-list-record_icon::after {
  content: '\e642';
  font-family: 'clientix-icons';
}
.p-client-appointment-list_cell._arrived .p-client-appointment-list-record_icon::after {
  content: '\e642';
  font-family: 'clientix-icons';
}
.p-client-appointment-list_cell._sms_confirmation_sent .p-client-appointment-list-record_icon {
  color: #91ccf1;
}
.p-client-appointment-list_cell._sms_confirmation_sent .p-client-appointment-list-record_icon::after {
  content: '\e675';
  font-family: 'clientix-icons';
}
.p-client-appointment-list_cell._cancelled_by_sms .p-client-appointment-list-record_icon {
  color: #fdcdc2;
}
.p-client-appointment-list_cell._cancelled_by_sms .p-client-appointment-list-record_icon::after {
  content: '\e676';
  font-family: 'clientix-icons';
}
.p-client-appointment-list_cell._finished .p-client-appointment-list-record_icon {
  color: #a8a9a9;
}
.p-client-appointment-list_cell._finished .p-client-appointment-list-record_icon::after {
  content: '\e613';
  font-family: 'clientix-icons';
}
.p-client-appointment-list_cell._cancelled .p-client-appointment-list-record_icon {
  color: #fdcdc2;
}
.p-client-appointment-list_cell._cancelled .p-client-appointment-list-record_icon::after {
  content: '\e614';
  font-family: 'clientix-icons';
}
.p-client-appointment-list_cell._missed .p-client-appointment-list-record_icon {
  color: #fdcdc2;
}
.p-client-appointment-list_cell._missed .p-client-appointment-list-record_icon::after {
  content: '\e614';
  font-family: 'clientix-icons';
}
.p-client-appointment-list_cell._awaiting-list .p-client-appointment-list-record_icon {
  color: #b9f2e9;
}
.p-client-appointment-list_cell._awaiting-list .p-client-appointment-list-record_icon::after {
  content: '\e600';
  font-family: 'waitinglist';
}
.p-client-appointment-list-record_info {
  -webkit-box-flex: 1;
  -webkit-flex: 1 1 auto;
      -ms-flex: 1 1 auto;
          flex: 1 1 auto;
  min-width: 1px;
  min-height: 1px;
  margin: 0 0 0 16px;
}
.p-client-appointment-list_more-records {
  font-size: 12px;
  color: #a3a9ad;
}
.p-client-appointment-list-nothing {
  padding: 40px 16px 0;
}
.p-client-appointment-list-nothing._hidden {
  display: none;
}
.p-client-appointment-list-nothing_icon {
  position: relative;
  height: 64px;
}
.p-client-appointment-list-nothing_icon::before {
  font-family: 'clientix-icons';
  vertical-align: bottom;
  text-decoration: none;
  text-transform: none;
  font-weight: normal;
  font-style: normal;
  font-variant: normal;
  speak: none;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  position: absolute;
  top: 50%;
  right: 0;
  left: 0;
  margin: -1px 0 0;
  font-size: 48px;
  line-height: 2px;
  color: #91999d;
  text-align: center;
}
.p-client-appointment-list-nothing_icon._empty::before {
  content: '\e633';
  font-family: 'clientix-icons';
}
.p-client-appointment-list-nothing_icon._employee::before {
  content: '\e668';
  font-family: 'clientix-icons';
}
.p-client-appointment-list-nothing_icon._clock::before {
  content: '\e661';
  font-family: 'clientix-icons';
}
.p-client-appointment-list-nothing_icon._material::before {
  content: '\e600';
  font-family: 'materials';
}
.p-client-appointment-list-nothing_title {
  text-align: center;
  font-size: 20px;
}
.p-client-appointment-list-nothing_text {
  text-align: center;
  font-size: 15px;
}
.p-client-appointment-list-extra {
  padding: 40px 0;
}
.p-client-appointment-list-extra._hidden {
  display: none;
}
.p-client-appointment-list-extra_cr {
  display: -webkit-box;
  display: -webkit-flex;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-pack: center;
  -webkit-justify-content: center;
      -ms-flex-pack: center;
          justify-content: center;
}
.p-client-appointment-list-extra_button {
  position: relative;
  -webkit-box-flex: 0;
  -webkit-flex: 0 0 auto;
      -ms-flex: 0 0 auto;
          flex: 0 0 auto;
  min-width: 1px;
  min-height: 1px;
  -webkit-box-sizing: border-box;
     -moz-box-sizing: border-box;
          box-sizing: border-box;
  height: 48px;
  padding: 0 8px;
  cursor: pointer;
  -webkit-user-select: none;
     -moz-user-select: none;
      -ms-user-select: none;
          user-select: none;
  border: 1px solid #d8d8d8;
  border-radius: 4px;
  font-size: 0;
  line-height: 48px;
}
body .p-client-appointment-list-extra_button {
  color: var(--versioncolor);
}
body._beauty .p-client-appointment-list-extra_button {
  color: var(--versioncolor);
}
body._health .p-client-appointment-list-extra_button {
  color: var(--versioncolor);
}
body._smile .p-client-appointment-list-extra_button {
  color: var(--versioncolor);
}
body._happiness .p-client-appointment-list-extra_button {
  color: var(--versioncolor);
}
body._velocity .p-client-appointment-list-extra_button {
  color: var(--versioncolor);
}
body._friend .p-client-appointment-list-extra_button {
  color: var(--versioncolor);
}
body._strength .p-client-appointment-list-extra_button {
  color: var(--versioncolor);
}
.p-client-appointment-list-extra_button {
  -webkit-transition: background 0.2s ease, border-color 0.2s ease;
          transition: background 0.2s ease, border-color 0.2s ease;
  -webkit-backface-visibility: hidden;
          backface-visibility: hidden;
}
.p-client-appointment-list-extra_button::before {
  display: none;
}
.p-client-appointment-list-extra_button:hover {
  background: #f5f5f5;
}
.p-client-appointment-list-extra_button:hover:active {
  padding-top: 1px;
  -webkit-transition-duration: 0s;
          transition-duration: 0s;
}
.p-client-appointment-list-extra_button:hover:active::before {
  padding-top: 1px;
}
.p-client-appointment-list-extra_button._icon {
  padding-left: 41px;
}
.p-client-appointment-list-extra_button._icon::before {
  position: absolute;
  top: 50%;
  left: 8px;
  display: block;
  width: 25px;
  margin: -12px 0 0;
  text-align: center;
  font-size: 25px;
  line-height: 25px;
}
.p-client-appointment-list-extra_button._icon_client-add::before {
  content: '\e619';
  font-family: 'clientix-icons';
  vertical-align: bottom;
  text-decoration: none;
  text-transform: none;
  font-weight: normal;
  font-style: normal;
  font-variant: normal;
  speak: none;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
}
.p-client-appointment-list-extra_button._icon_client-record::before {
  content: '\e613';
  font-family: 'clientix-icons';
  vertical-align: bottom;
  text-decoration: none;
  text-transform: none;
  font-weight: normal;
  font-style: normal;
  font-variant: normal;
  speak: none;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
}
.p-client-appointment-list-extra_button + .p-client-appointment-list-extra_button {
  margin: 0 0 0 20px;
}
.p-client-appointment-list-extra_button_span {
  display: inline-block;
  vertical-align: top;
  margin: -2px 0 0;
  vertical-align: middle;
  white-space: nowrap;
  text-transform: uppercase;
  font-size: 13px;
  line-height: 16px;
}


.p-client-appointment-list_cell._sort .p-client-appointment-list_span::after {
  content: '\e625';
  font-family: 'clientix-icons';
  vertical-align: bottom;
  text-decoration: none;
  text-transform: none;
  font-weight: normal;
  font-style: normal;
  font-variant: normal;
  speak: none;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  position: absolute;
  top: 50%;
  width: 32px;
  margin: -1px 0 0;
  font-size: 24px;
  line-height: 2px;
  color: #d8d8d8;
  text-align: center;
}
.p-client-appointment-list_cell._sort .p-client-appointment-list_span::after {
  -webkit-transition: color 0.2s ease;
  transition: color 0.2s ease;
  -webkit-backface-visibility: hidden;
  backface-visibility: hidden;
}
.p-client-appointment-list_cell._sort .p-client-appointment-list_span:hover::after {
  -webkit-transition-duration: 0.1s;
  transition-duration: 0.1s;
}
body .p-client-appointment-list_cell._sort .p-client-appointment-list_span:hover::after {
  color: var(--versioncolor);
}
body._beauty .p-client-appointment-list_cell._sort .p-client-appointment-list_span:hover::after {
  color: var(--versioncolor);
}
body._health .p-client-appointment-list_cell._sort .p-client-appointment-list_span:hover::after {
  color: var(--versioncolor);
}
body._smile .p-client-appointment-list_cell._sort .p-client-appointment-list_span:hover::after {
  color: var(--versioncolor);
}
body._happiness .p-client-appointment-list_cell._sort .p-client-appointment-list_span:hover::after {
  color: var(--versioncolor);
}
body._velocity .p-client-appointment-list_cell._sort .p-client-appointment-list_span:hover::after {
  color: var(--versioncolor);
}
body._friend .p-client-appointment-list_cell._sort .p-client-appointment-list_span:hover::after {
  color: var(--versioncolor);
}
body._strength .p-client-appointment-list_cell._sort .p-client-appointment-list_span:hover::after {
  color: var(--versioncolor);
}
.p-client-appointment-list_cell._sort .p-client-appointment-list_span:active::after {
  -webkit-transition-duration: 0s;
  transition-duration: 0s;
}
body .p-client-appointment-list_cell._sort .p-client-appointment-list_span:active::after {
  color: var(--versioncolor3);
}
body._beauty .p-client-appointment-list_cell._sort .p-client-appointment-list_span:active::after {
  color: var(--versioncolor3);
}
body._health .p-client-appointment-list_cell._sort .p-client-appointment-list_span:active::after {
  color: var(--versioncolor3);
}
body._smile .p-client-appointment-list_cell._sort .p-client-appointment-list_span:active::after {
  color: var(--versioncolor3);
}
body._happiness .p-client-appointment-list_cell._sort .p-client-appointment-list_span:active::after {
  color: var(--versioncolor3);
}
body._velocity .p-client-appointment-list_cell._sort .p-client-appointment-list_span:active::after {
  color: var(--versioncolor3);
}
body._friend .p-client-appointment-list_cell._sort .p-client-appointment-list_span:active::after {
  color: var(--versioncolor3);
}
body._strength .p-client-appointment-list_cell._sort .p-client-appointment-list_span:active::after {
  color: var(--versioncolor3);
}
.p-client-appointment-list_cell._sort_up .p-client-appointment-list_span::after {
  content: '\e621';
  font-family: 'clientix-icons';
}
.p-client-appointment-list_cell._sort_down .p-client-appointment-list_span::after {
  content: '\e622';
  font-family: 'clientix-icons';
}